package com.yifu.cloud.plus.v1.yifu.insurances.mapper.ekp;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.yifu.cloud.plus.v1.yifu.insurances.entity.EkpInsurancesInfo;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 商险订单明细表
 *
 * @author huych
 * @date 2025-02-07 15:17:24
 */
@Mapper
public interface EkpInsurancesInfoMapper extends BaseMapper<EkpInsurancesInfo> {

	List<EkpInsurancesInfo> getEkpInsurancesInfoList(@Param("detailId") String detailId);

	//查询未结算实缴
	EkpInsurancesInfo getEkpInsurancesInfo(@Param("detailId") String detailId);

	//查询未结算预估
	EkpInsurancesInfo getEkpInsurancesInfoYg(@Param("detailId") String detailId);

	//查询不为未结算的商险记录
	List<EkpInsurancesInfo> getEkpInsurancesInfoNotSettle(@Param("detailId") String detailId);

	//查询未结算的商险记录
	List<EkpInsurancesInfo> getEkpInsurancesInfoSettle(@Param("detailId") String detailId);
}
